Package org.eclipse.birt.report.model.api.elements

# Interface IReportItemMethodContext

All Known Implementing Classes:
  `AutoTextHandle`, `DataItemHandle`, `ExtendedItemHandle`, `FreeFormHandle`, `GridHandle`, `ImageHandle`, `LabelHandle`, `LineHandle`, `ListHandle`, `ListingHandle`, `MultiLineDataHandle`, `RectangleHandle`, `ReportItemHandle`, `ReportItemHandleImpl`, `TableHandle`, `TextDataHandle`, `TextItemHandle`

public interface IReportItemMethodContext
Defines the method context that are available to the report item.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ON_CREATE_CONTEXT`
Name of the on-create context.
`static final String`
`ON_PREPARE_CONTEXT`
Name of the on-prepare context.
`static final String`
`ON_RENDER_CONTEXT`
Name of the on-render context.

## Field Details

### ON_CREATE_CONTEXT

static final String ON_CREATE_CONTEXT
Name of the on-create context. It is for a script executed when the element is created in the Factory. Called after the item is created, but before the item is saved to the report document file.

See Also:
  - Constant Field Values

### ON_RENDER_CONTEXT

static final String ON_RENDER_CONTEXT
Name of the on-render context. It is for a script Executed when the element is prepared for rendering in the Presentation engine.

See Also:
  - Constant Field Values

### ON_PREPARE_CONTEXT

static final String ON_PREPARE_CONTEXT
Name of the on-prepare context. It is for a script startup phase. No data binding yet. The design of an element can be changed here.

See Also:
  - Constant Field Values